Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.naming
Interface NamingServiceListener

    public interface NamingServiceListener

Since:
  0.8.7

Method Summary
`void` | `configurationChanged(NamingService ns)` also called when a NamingService is added or removed
`void` | `entryAdded(NamingService ns, String hostname, Destination dest, Properties options)`
`void` | `entryChanged(NamingService ns, String hostname, Destination dest, Properties options)`
`void` | `entryRemoved(NamingService ns, String hostname)`

Method Detail

### configurationChanged

    void configurationChanged(NamingService ns)

  also called when a NamingService is added or removed

### entryAdded

    void entryAdded(NamingService ns,
                    String hostname,
                    Destination dest,
                    Properties options)

  Parameters:
    `options` - NamingService-specific, can be null

### entryChanged

    void entryChanged(NamingService ns,
                      String hostname,
                      Destination dest,
                      Properties options)

  Parameters:
    `dest` - null if unchanged
    `options` - NamingService-specific, can be null

### entryRemoved

    void entryRemoved(NamingService ns,
                      String hostname)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD